%define anolis_release 1
%global pypi_name transformers
%global pypi_version 4.36.2
%define debug_package %{nil}

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        Transformers provides thousands of pretrained models to perform tasks on different modalities such as text, vision, and audio.

License:        Apache 2.0 License
URL:            https://github.com/huggingface/transformers
Source0:        %{pypi_source}

BuildRequires:  python3-devel

BuildRequires:  python3dist(filelock)
BuildRequires:  python3dist(huggingface-hub) >= 0.19.3
BuildRequires:  python3dist(numpy) >= 1.17
BuildRequires:  python3dist(packaging) >= 20
BuildRequires:  python3dist(pyyaml) >= 5.1
BuildRequires:  python3dist(tokenizers) >= 0.14
BuildRequires:  python3dist(regex)
BuildRequires:  python3dist(requests)
BuildRequires:  python3dist(tqdm) >= 4.27
BuildRequires:  python3dist(safetensors) >= 0.3.1

%description
Transformers provides thousands of pretrained models to perform tasks on different modalities such as 
text, vision, and audio.
These models can be applied on:
Text, for tasks like text classification, information extraction, question answering, summarization, 
translation, text generation, in over 100 languages.
Images, for tasks like image classification, object detection, and segmentation.
Audio, for tasks like speech recognition and audio classification.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Transformers provides thousands of pretrained models to perform tasks on different modalities such as 
text, vision, and audio.
These models can be applied on:
Text, for tasks like text classification, information extraction, question answering, summarization, 
translation, text generation, in over 100 languages.
Images, for tasks like image classification, object detection, and segmentation.
Audio, for tasks like speech recognition and audio classification.


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{_bindir}/transformers-cli
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Thu Jan 18 2024 Zhongling He <zhonglingh@linux.alibaba.com> - 4.36.2-1
- Update to 4.36.2

* Mon Sep 11 2023 Zhongling He <zhonglingh@linux.alibaba.com> - 4.34.0-1
- Initial package.